Get an inventory
curl --request GET \
--url https://api.integrations.commenda.io/v4/core/companies/{companyId}/inventory/{id} \
--header 'api_key: <api-key>'import requests
url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/inventory/{id}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/inventory/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": {
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"item_id": "<string>",
"variant_id": "<string>",
"description": "<string>",
"sku": "<string>",
"quantity": 123,
"reserved_quantity": 123,
"available_quantity": 123,
"is_trackable": true,
"reorder_level": 123,
"reorder_quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"request_id": "<string>"
}Inventory
Get an inventory
GET
/
v4
/
core
/
companies
/
{companyId}
/
inventory
/
{id}
Get an inventory
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Commenda company id.
The record's rootfi_id.
Query Parameters
Comma-separated related resources to expand.
⌘I